# eric5.Plugins.WizardPlugins.FileDialogWizard.FileDialogWizardDialog

Module implementing the file dialog wizard dialog.

### Global Attributes

None

### Classes

FileDialogWizardDialog | Class implementing the color dialog wizard dialog.

### Functions

None

## FileDialogWizardDialog

Class implementing the color dialog wizard dialog.

It displays a dialog for entering the parameters for the QFileDialog code generator.

### Derived from

QDialog, Ui_FileDialogWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

FileDialogWizardDialog | Constructor
__adjustOptions | Private method to adjust the file dialog options.
__toggleConfirmCheckBox | Private slot to enable/disable the confirmation check box.
__toggleGroupsAndTest | Private slot to enable/disable certain groups and the test button.
__toggleInitialFilterAndResult | Private slot to enable/disable the initial filter elements and the results entries.
getCode | Public method to get the source code for Qt4 and Qt5.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_pyqtComboBox_currentIndexChanged | Private slot to setup the dialog for the selected PyQt variant.

### Static Methods

None

#### FileDialogWizardDialog (Constructor)

FileDialogWizardDialog(pyqtVariant, parent=None)

Constructor

pyqtVariant
  variant of PyQt (integer; 0, 4 or 5)
parent
  parent widget (QWidget)

#### FileDialogWizardDialog.__adjustOptions

__adjustOptions(options)

Private method to adjust the file dialog options.

options
  file dialog options (QFileDialog.Options)

Returns:
  modified options (QFileDialog.Options)

#### FileDialogWizardDialog.__toggleConfirmCheckBox

__toggleConfirmCheckBox()

Private slot to enable/disable the confirmation check box.

#### FileDialogWizardDialog.__toggleGroupsAndTest

__toggleGroupsAndTest()

Private slot to enable/disable certain groups and the test button.

#### FileDialogWizardDialog.__toggleInitialFilterAndResult

__toggleInitialFilterAndResult(id)

Private slot to enable/disable the initial filter elements and the results entries.

id
  id of the clicked button (integer)

#### FileDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code for Qt4 and Qt5.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### FileDialogWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### FileDialogWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### FileDialogWizardDialog.on_pyqtComboBox_currentIndexChanged

on_pyqtComboBox_currentIndexChanged(txt)

Private slot to setup the dialog for the selected PyQt variant.

txt
  text of the selected combo box entry (string)

Up